Skip to content

Create Task lucataco/flux-schnell-lora

POST https://www.kkiai.com/replicate/v1/predictions

Official Documentation: https://replicate.com/lucataco/flux-schnell-lora

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
versionstringOptional
inputobjectOptional
  └ promptstringRequired
  └ hf_lorastringOptionalHuggingface path or URL of LoRA weights. Example: alvdansen/frosting_lane_flux
  └ lora_scalenumberOptionalScale of LoRA weights. Default: 0.8
  └ num_outputsintegerOptionalNumber of images to output. Default: 1. Min: 1, Max: 4.
  └ aspect_ratiostringOptionalAspect ratio of generated images. Default: "1:1".
  └ output_formatstringOptionalFormat of output images. Default: "webp".
  └ output_qualityintegerOptionalQuality when saving output images, range 0 to 100. 100 is best quality, 0 is lowest quality. Not applicable to .png output. Default: 80
  └ prompt_strengthnumberOptionalPrompt strength (or denoising strength) when using image-to-image. 1.0 corresponds to completely destroying information in the image. Default: 0.8. Min: 0, Max: 1.
  └ num_inference_stepsintegerOptionalNumber of inference steps. Default: 4. Min: 1, Max: 12.

Request Example

json
{
    "version": "lucataco/flux-schnell-lora:2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574",
    "input": {
      "prompt": "a beautiful castle frstingln illustration",
      "hf_lora": "alvdansen/frosting_lane_flux",
      "lora_scale": 0.8,
      "num_outputs": 1,
      "aspect_ratio": "1:1",
      "output_format": "webp",
      "output_quality": 80,
      "prompt_strength": 0.8,
      "num_inference_steps": 4
    }
  }

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "version": "lucataco/flux-schnell-lora:2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574",
    "input": {
      "prompt": "a beautiful castle frstingln illustration",
      "hf_lora": "alvdansen/frosting_lane_flux",
      "lora_scale": 0.8,
      "num_outputs": 1,
      "aspect_ratio": "1:1",
      "output_format": "webp",
      "output_quality": 80,
      "prompt_strength": 0.8,
      "num_inference_steps": 4
    }
  }'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
createdintegerRequired
dataarray[object]Required
  └ urlstringRequired

Response Example

json
{
    "id": "nfg4nbtgm9rj00crankr6ft6t0",
    "model": "lucataco/flux-schnell-lora",
    "version": "2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574",
    "input": {
        "aspect_ratio": "1:1",
        "hf_lora": "alvdansen/frosting_lane_flux",
        "lora_scale": 0.8,
        "num_inference_steps": 4,
        "num_outputs": 1,
        "output_format": "webp",
        "output_quality": 80,
        "prompt": "a beautiful castle frstingln illustration",
        "prompt_strength": 0.8
    },
    "logs": "",
    "output": null,
    "data_removed": false,
    "error": null,
    "status": "starting",
    "created_at": "2025-07-29T08:58:10.978Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/nfg4nbtgm9rj00crankr6ft6t0/cancel",
        "get": "https://api.replicate.com/v1/predictions/nfg4nbtgm9rj00crankr6ft6t0",
        "stream": "https://stream.replicate.com/v1/files/qoxq-kwulj767tbexpyags2qj6zh6f5k6dmbvfdt6cigg2f4zcuzpnhcq",
        "web": "https://replicate.com/p/nfg4nbtgm9rj00crankr6ft6t0"
    }
}